## ros-dashing-turtlebot3-simulations 2.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(turtlebot3_simulations)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-dashing-turtlebot3-simulations (2.2.2-1bionic) bionic; urgency=high

  * Remove shared objects built in older version
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Tue, 23 Feb 2021 15:00:00 -0000

ros-dashing-turtlebot3-simulations (2.2.1-1bionic) bionic; urgency=high

  * Eloquent Elusor EOL
  * Add missing imu joint in sdf
  * Append Gazebo model path
  * Portable fix, launch description revise
  * Ament lint applied
  * Contributors: minwoominwoominwoo7, Rayman, seanyen, ashe kim, Will Son

 -- Will Son <willson@robotis.com>  Tue, 12 Jan 2021 15:00:00 -0000

ros-dashing-turtlebot3-simulations (2.2.0-1bionic) bionic; urgency=high

  * TurtleBot3 Drive node implementation
  * Additional Gazebo maps added
  * argument tags in the sdf file replaced with remapping tags
  * Low polygon 3D modeling applied for simulation
  * Contributors: Ryan Shim, Mikael Arguedas, Will Son

 -- Will Son <willson@robotis.com>  Sun, 28 Jun 2020 15:00:00 -0000

ros-dashing-turtlebot3-simulations (2.1.0-1bionic) bionic; urgency=high

  * ROS 2 migration of turtlebot3_fake_node package
  * Modified rviz config (background colour changed to white, tf display disabled)
  * Added turtlebot3_house and related world, model files
  * Contributors: Ryan Shim, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Mon, 09 Sep 2019 15:00:00 -0000

ros-dashing-turtlebot3-simulations (2.0.1-1bionic) bionic; urgency=high

  * Modified dependency packages
  * Modified launch directory
  * Added a launch file for robot state publisher
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 04 Sep 2019 15:00:00 -0000

ros-dashing-turtlebot3-simulations (2.0.0-1bionic) bionic; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Updated the CHANGELOG and version to release binary packages
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-dashing-turtlebot3-simulations (1.3.0-1bionic) bionic; urgency=high

  * Turtlebot3 Autorace 2020 implemented
  * Remove the plugin_path from gazebo_ros export
  * Remove *nix path separator
  * Contributors: Ashe Kim, Ben Wolsieffer, Sean Yen

 -- Will Son <willson@robotis.com>  Sun, 28 Jun 2020 15:00:00 -0000

ros-dashing-turtlebot3-simulations (1.2.0-1bionic) bionic; urgency=high

  * move out the init() from ROS_ASSERT #68 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/68>
  * moved <scene> into <world> #65 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/65>
  * modified ML stage
  * delete unused param
  * update algorithm and modified variable more clearly
  * Contributors: Darby Lim, Gilbert, Louise Poubel, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-dashing-turtlebot3-simulations (1.1.0-1bionic) bionic; urgency=high

  * added TurtleBot3 Waffle Pi
  * modified uri path
  * modified autorace
  * delete remap
  * Contributors: Darby Lim, Gilbert, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 19 Jul 2018 15:00:00 -0000

ros-dashing-turtlebot3-simulations (1.0.2-1bionic) bionic; urgency=high

  * added mission.launch modified model.sdf
  * deleted turtlebot3's gazebo plugins
  * modified autorace gazebo
  * merged pull request #53 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/53> #52 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/52> #51 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/51> #50 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/50> #49 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/49>
  * Contributors: Gilbert, Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-dashing-turtlebot3-simulations (1.0.1-1bionic) bionic; urgency=high

  * resolving dependency issues:
    http://build.ros.org/job/Kbin_dj_dJ64__turtlebot3_gazebo__debian_jessie_amd64__binary/2/
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 29 May 2018 15:00:00 -0000

ros-dashing-turtlebot3-simulations (1.0.0-1bionic) bionic; urgency=high

  * added world for turtlebot3_autorace
  * added world for turtlebot3_machine_learning
  * merged pull request #46 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/46> from AuTURBO/develop
    add turtlebot3_autorace world'
  * merged pull request #48 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/48> #47 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/47> #44 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/44> #42 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/42> #41 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/41>
  * Contributors: Darby Lim, Gilbert, hyunoklee, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-dashing-turtlebot3-simulations (0.2.4-1bionic) bionic; urgency=high

  * solved DuplicateVersionsException error
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-dashing-turtlebot3-simulations (0.2.3-1bionic) bionic; urgency=high

  * solved DuplicateVersionsException error
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-dashing-turtlebot3-simulations (0.2.2-1bionic) bionic; urgency=high

  * added line feed into metapackage
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-dashing-turtlebot3-simulations (0.2.1-1bionic) bionic; urgency=high

  * added worlds for gazebo and turtlebot3
  * deleted turtlebot3_gazebo_plugin and merged into turtlebot3_gazebo_ros package
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-dashing-turtlebot3-simulations (0.2.0-1bionic) bionic; urgency=high

  * added TurtleBot3 Waffle Pi
  * added slam with multiple tb3
  * added multi example
  * added turtlebot3_house
  * added turtlebot3_house
  * added msg function
  * modified gazebo plugin
  * modified tb3 control
  * modified sensor param
  * modified camera position
  * modified image_listener


=== debian/control ===
Source: ros-dashing-turtlebot3-simulations
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ros-workspace
Homepage: http://turtlebot3.robotis.com
Standards-Version: 3.9.2

Package: ros-dashing-turtlebot3-simulations
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-turtlebot3-fake-node, ros-dashing-turtlebot3-gazebo, ros-dashing-ros-workspace
Description: ROS 2 packages for TurtleBot3 simulations

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing" \
		-DCMAKE_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-turtlebot3-simulations//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
